# Uses of Class
org.springframework.core.io.support.ResourcePropertySource

Packages that use ResourcePropertySource
Package
Description
org.springframework.core.io.support
Support classes for Spring's resource abstraction.

## Uses of ResourcePropertySource in org.springframework.core.io.support

Methods in org.springframework.core.io.support that return ResourcePropertySource
Modifier and Type
Method
Description
`ResourcePropertySource`
ResourcePropertySource.`withName(String name)`
Return a potentially adapted variant of this `ResourcePropertySource`, overriding the previously given (or derived) name with the specified name.
`ResourcePropertySource`
ResourcePropertySource.`withResourceName()`
Return a potentially adapted variant of this `ResourcePropertySource`, overriding the previously given name (if any) with the original resource name (equivalent to the name generated by the name-less constructor variants).